taskB: taskB.o | .gitignore
	g++ $^ -o $@ 

taskB.ii: taskB.cpp
	g++ -E $^ -o $@

taskB.s: taskB.ii
	g++ -S $^ -o $@

taskB.o: taskB.s
	g++ -c $^ -o $@

.gitignore:
	echo "taskB" > $@

removes:
	rm taskB.ii taskB.s taskB.o test.out taskB .gitignore

test: taskB 
	./taskB < test.in > test.out 
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
